com.google.protobuf

## Interface ProtocolMessageEnum

- All Superinterfaces:
    Internal.EnumLite
  All Known Implementing Classes:
    DescriptorProtos.FieldDescriptorProto.Label, DescriptorProtos.FieldDescriptorProto.Type, DescriptorProtos.FieldOptions.CType, DescriptorProtos.FieldOptions.JSType, DescriptorProtos.FileOptions.OptimizeMode, DescriptorProtos.MethodOptions.IdempotencyLevel

      public interface ProtocolMessageEnum
      extends Internal.EnumLite

  Interface of useful methods added to all enums generated by the protocol compiler.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Descriptors.EnumDescriptor` | `getDescriptorForType()` Return the enum type's descriptor, which contains information about each defined value, etc.
    `int` | `getNumber()` Return the value's numeric value as defined in the .proto file.
    `Descriptors.EnumValueDescriptor` | `getValueDescriptor()` Return the value's descriptor, which contains information such as value name, number, and type.

- - ### Method Detail

    - #### getNumber

          int getNumber()

      Return the value's numeric value as defined in the .proto file.
      Specified by:
        `getNumber` in interface `Internal.EnumLite`

    - #### getValueDescriptor

          Descriptors.EnumValueDescriptor getValueDescriptor()

      Return the value's descriptor, which contains information such as value name, number, and type.

    - #### getDescriptorForType

          Descriptors.EnumDescriptor getDescriptorForType()

      Return the enum type's descriptor, which contains information about each defined value, etc.